The XC68HC11A1P basic circuit.

$VER: XC68HC11A1P_basic_circuit 1.0 (5-Jul-93)

This file should be viewed with a PC style font like
CleanIBM, or you can use my modified PC font called
Schematic font. Either change font in your favorite text
editor or do "SetFont Schematic 8" from DOS. And then type
or More the file. Remember to copy the Schematic font to
your FONTS: assign.

This schematic shows all that's needed to get a Hc11
microcontroller running. It's based on the XC68HC11A1P the
48 pin DIL version, since that one is probably the Hc11
version that's easiest to play with since you can hook it
up on a breadboard (or protoboard. I'm thinking of the ones
that you just stick the ICs and cables in, no soldering
type boards). But it should apply to any Hc11 with only
minor changes.

Remember that  means the crossing wires are NOT connected.
, ,  and  means the wires are connected.

              Ŀ      Vdd       IC-02Ŀ     Vdd
        VddR11  PA7        Vdd 48Ĵ2 Vdd        
              2  PA6           PD5 47R1Ĵ      +      Gnd 3Gnd   R1
              3  PA5           PD4 46R1Ĵ      C2 C3 Reset 1Ĵ
              4  PA4           PD3 45R1Ĵ      Ĵ        
              5  PA3           PD2 44R1Ĵ        Gnd                
       VddR16  PA2       TxD PD1 43R1Ĵ                           
          R17  PA1       RxD PD0 42R1Ĵ                           
          R18  PA0          /IRQ 41R2Ĵ                           
              9  PB7         /XIRQ 40R2Ĵ                           
              10 PB6        /RESET 39Ĵ
              11 PB5           PC7 38R1Ĵ                           
              12 PB4           PC6 37R1Ĵ                    Reset  o
              13 PB3           PC5 36R1Ĵ                    Switch o
              14 PB2           PC4 35R1Ĵ                    (Push  
              15 PB1           PC3 34R1Ĵ                    type)  
              16 PB0           PC2 33R1Ĵ                           
              17 PE0           PC1 32R1Ĵ                          Gnd
              18 PE1           PC0 31R1    C1Ŀ
              19 PE2          XTAL 30 R3 X1    
      GndĿ  20 PE3         EXTAL 29C1Ĵ
         C4Ĵ21 Vrl           R/W 28                   
   VddR4Ĵ22 Vrh             E 27                  Gnd
           Gnd23 Vss            AS 26R1Vdd
     VddR2Ĵ24 ModB         ModA 25R2Vdd
             IC-01 
                                       
            o Mod B                     o Mod A
            o Switch                    o Switch
                                       
           Gnd                         Gnd

Vss       0VDC
Vdd       +5VDC
Gnd       Ground
R1        10Kohm
R2        4.7Kohm
R3        1Mohm - 20 Mohm
R4        1Kohm
X1        8Mhz (Max)
C1        5pF - 25pF (Nominal. 18pF, Lower frequency = Lower capacitance)
C2        Electrolytic 4.7uF
C3        .1uF
C4        1uF
oo        SPST switch
IC-01     XC68HC11A1
IC-02     MC 34064 or MC 33064

All port resistors can be left out on a bench project. The only
thing that happens is that the microcontroller  will take a little
more power.

The Resetswitch can be left out in the final product if not needed.

ͻ
  Inputs                     
͹ Mode Description 
Mod BMod A                  

  1    0  Normal Single Chip
  1    1   Normal Expanded  
  0    0  Special Bootstrap 
  0    1     Special Test   
ͼ

If you're not using the bus, which you won't be if you're just strted
with the Hc11, then you should only use the Special Bootstrap mode. So
connect both Mod Switches. You can even leave them out if you like, but
remember to ground the Mod pins if you leave the switch out.

If the RxD and TxD pins are connected to each other the Hc11 will jump
to adress $b600 which is where the EEPROM is located on the A1. So
you'll be able to asemble you program to EEPROM ($b600) and run it by
connecting Tdx and RxD together. There's a switch for this purpose on
my version of the voltage converter that you'll need to connect the
Hc11 to your Amiga. Look at the file containing the voltage converter
for more info.

If the processor doesn't seem to start check that the Reset pin
(39) is in it's high state. Possably remove IC-02 for a while to see
if it works then. IC-02 resets the processor when voltage drops
below 5VDC. The processor will still run at 3VDC at room temperature
but when you power it on and off EEPROM contents may be lost if IC-02
is not present.
